
Packaging - Bug #4841

Package Foreman in its own SCL

03/25/2014 03:59 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: RPMs   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/249

  

Description

We really shouldn't be building packages inside the 'ruby193' software collection, but instead should have our own software collection

(say, 'foreman') which depends upon ruby193.

Generally the provided SCLs aren't intended to have packages added to, or we could cause conflicts (e.g. ruby193-passenger is in

RHSCL 1.1 but not 1.0, yet we provide it) and it will make it much harder for us to migrate to new SCLs (e.g. ruby200 and ror40) as

all of our package names change.

Some docs on this are here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Developer_Toolset/2/html-single/Software_Collections_Guide/index.h

tml#sect-The_Software_Collections_Prefix

https://access.redhat.com/site/documentation/en-US/Red_Hat_Developer_Toolset/2/html-single/Software_Collections_Guide/index.h

tml#chap-Extending_Red_Hat_Software_Collections

Related issues:

Related to Installer - Bug #8371: foreman-installer tries to install foreman-... Resolved 11/12/2014

Related to Foreman - Bug #13803: Foreman-debug does not report SCL correctly Closed 02/19/2016

Blocks Packaging - Feature #7228: Rebuild packages under ror41/ruby22 SCLs Closed 08/22/2014

Blocked by Packaging - Refactor #7234: SCL 1.1 builds needed for EL rebuilds ... Closed 08/22/2014

Associated revisions

Revision e89381d0 - 08/21/2015 06:08 AM - Dominic Cleal

fixes #4841 - add tfm SCL source package

Revision 17766006 - 08/25/2015 04:20 AM - Dominic Cleal

Merge pull request #249 from domcleal/rpm/develop-fmrb

fixes #4841 - add tfm SCL source package

History

#1 - 03/25/2014 04:02 PM - Dominic Cleal

- Related to Feature #4451: Build all ruby193 dependencies for EL7 added

#2 - 03/25/2014 04:06 PM - Dominic Cleal

- Description updated

#3 - 04/02/2014 09:05 AM - Dominic Cleal

Started work on this in https://github.com/domcleal/foreman-packaging/tree/rpm/develop-fmrb modelled on ror40 (which is built on ruby200), but it'll

depend on RHSCL 1.1 to work for the ruby193-scldevel package

#4 - 05/21/2014 05:49 PM - Dominic Cleal

PR up for example purposes: https://github.com/theforeman/foreman-packaging/pull/249

05/09/2024 1/2

https://access.redhat.com/site/documentation/en-US/Red_Hat_Developer_Toolset/2/html-single/Software_Collections_Guide/index.html#sect-The_Software_Collections_Prefix
https://access.redhat.com/site/documentation/en-US/Red_Hat_Developer_Toolset/2/html-single/Software_Collections_Guide/index.html#sect-The_Software_Collections_Prefix
https://access.redhat.com/site/documentation/en-US/Red_Hat_Developer_Toolset/2/html-single/Software_Collections_Guide/index.html#chap-Extending_Red_Hat_Software_Collections
https://access.redhat.com/site/documentation/en-US/Red_Hat_Developer_Toolset/2/html-single/Software_Collections_Guide/index.html#chap-Extending_Red_Hat_Software_Collections
https://github.com/domcleal/foreman-packaging/tree/rpm/develop-fmrb
https://github.com/theforeman/foreman-packaging/pull/249


#5 - 05/29/2014 12:32 PM - Dominic Cleal

- Related to deleted (Feature #4451: Build all ruby193 dependencies for EL7)

#6 - 08/22/2014 06:37 AM - Dominic Cleal

- Blocks Feature #7228: Rebuild packages under ror41/ruby22 SCLs added

#7 - 08/22/2014 06:57 AM - Dominic Cleal

- Blocked by Refactor #7234: SCL 1.1 builds needed for EL rebuilds (CentOS, SL) added

#8 - 11/12/2014 10:37 AM - Ronald van Zantvoort

- Related to Bug #8371: foreman-installer tries to install foreman-release-scl on Ubuntu after upgrade from 1.6.2 to 1.7rc1 added

#9 - 12/01/2014 10:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/249 added

#10 - 06/30/2015 03:15 AM - Dominic Cleal

- Blocks Refactor #10470: Update fog to 1.32.0 added

#11 - 07/03/2015 08:55 AM - Dominic Cleal

- Blocks deleted (Refactor #10470: Update fog to 1.32.0)

#12 - 08/26/2015 09:48 AM - Dominic Cleal

- Category set to RPMs

- Status changed from Ready For Testing to Closed

- Assignee set to Dominic Cleal

- % Done changed from 0 to 100

- translation missing: en.field_release set to 63

PR merged, packages are rebuilding.  Status on the bottom of the PR and on foreman-dev.

#13 - 02/23/2016 05:23 AM - Dominic Cleal

- Related to Bug #13803: Foreman-debug does not report SCL correctly added
